<?php
/**
 * 金戈企业建站系统：管理员退出脚本
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  logout.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
session_start();
require_once('../config.php'); 
$old_user = $_SESSION['root_name']; //获得需要执行退出用户的会员变量并保存到$old_user中 

unset($_SESSION['root_name']);//用unset()函数注销该会话变量

$result_dest = session_destroy();//用session_destroy()函数清除会话

if (!empty($old_user))//用empty()函数测试变量是否为空，可以理解成如果$old_user是空的
{
  if ($result_dest)//如果执行了session_destroy()函数
  {
    echo '退出成功.<br />';//那么显示退出成功
    echo '<meta http-equiv="Refresh" content="1; url=../index.php" >';
	echo '<a href="../index.php">如果您的浏览器不支持自动转向请按这里</a>';
  }
  else
  {
    echo '你尚位登陆.<br />';//否则显示你没登陆
    echo '<meta http-equiv="Refresh" content="3; url=../index.php" >';
	echo '<a href="../index.php">如果您的浏览器不支持自动转向请按这里</a>';
  }
}
else
{
  echo '你尚未登陆<br />';//如果不是注册用户或退出后刷新了的用户
  echo '<meta http-equiv="Refresh" content="3; url=../index.php" >';
  echo '<a href="../index.php">如果您的浏览器不支持自动转向请按这里</a>';
}
?>
